Skip to main content
`Ctrl`+`K`

# PEPSetConvergenceTest

Specifies how to compute the error estimate used in the convergence test.

## Synopsis

    #include "slepcpep.h"
    PetscErrorCode PEPSetConvergenceTest(PEP pep,PEPConv conv)

Logically Collective

## Input Parameters

- pep - the polynomial eigensolver context

- conv - the type of convergence test, see `PEPConv` for possible values

## Options Database Keys

- -pep_conv_abs - sets the absolute convergence test

- -pep_conv_rel - sets the convergence test relative to the eigenvalue

- -pep_conv_norm - sets the convergence test relative to the matrix norms

- -pep_conv_user - selects the user-defined convergence test

## See Also

PEP: Polynomial Eigenvalue Problems, `PEPGetConvergenceTest()`, `PEPSetConvergenceTestFunction()`, `PEPSetStoppingTest()`, `PEPConv`

## Level

intermediate

## Location

src/pep/interface/pepopts.c

Index of all PEP routines Table of Contents for all manual pages Index of all manual pages